Package com.smartgwt.client.widgets.grid.events

# Class EditCompleteEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<EditCompleteHandler>
com.smartgwt.client.widgets.grid.events.EditCompleteEvent

public class EditCompleteEvent extends BrowserEvent<EditCompleteHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditCompleteEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(EditCompleteHandler handler)`
  `static <S extends HasEditCompleteHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<EditCompleteHandler>`
  `getAssociatedType()`
  `int`
  `getColNum()`
  index of the column that was saved, if applicable
  `DSResponse`
  `getDsResponse()`
  for DataSource saves, DSResponse object returned
  `EditCompletionEvent`
  `getEditCompletionEvent()`
  Event that led to the save
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `Map`
  `getNewValues()`
  new values that were saved
  `Record`
  `getNewValuesAsRecord()`
  new values that were saved
  `Record`
  `getOldValues()`
  the complete original values from before the save occurred
  `int`
  `getRowNum()`
  current index of the row that was saved
  `static GwtEvent.Type<EditCompleteHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EditCompleteEvent

    public EditCompleteEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasEditCompleteHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<EditCompleteHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(EditCompleteHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<EditCompleteHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<EditCompleteHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<EditCompleteHandler>`

  - ### getRowNum

    public int getRowNum()
    current index of the row that was saved
    Returns:
      current index of the row that was saved

  - ### getColNum

    public int getColNum()
    index of the column that was saved, if applicable
    Returns:
      index of the column that was saved, if applicable

  - ### getNewValues

    public Map getNewValues()
    new values that were saved
    Returns:
      new values that were saved

  - ### getNewValuesAsRecord

    public Record getNewValuesAsRecord()
    new values that were saved
    Returns:
      new values that were saved

  - ### getOldValues

    public Record getOldValues()
    the complete original values from before the save occurred
    Returns:
      the complete original values from before the save occurred

  - ### getEditCompletionEvent

    public EditCompletionEvent getEditCompletionEvent()
    Event that led to the save
    Returns:
      Event that led to the save

  - ### getDsResponse

    public DSResponse getDsResponse()
    for DataSource saves, DSResponse object returned
    Returns:
      for DataSource saves, DSResponse object returned